<?php
include 'core/sys.php';
head('Питомец');
reg();
echo '<div class="name">Питомец</div>';
	if(isset($_GET['my'])){
	if($user['pet_id']==0){
	echo '<div class="row">У вас нет питомца.<br><a href="pets.php">Купить</a></div>';
	foot();
	exit;
	}
	$pet = mysql_fetch_assoc(mysql_query("SELECT `name`,`hp`,`str`,`rubin` FROM `pets` WHERE `id`='".$user['pet_id']."' LIMIT 1"));
	$pet_hp = $pet['hp']*$user['pet_lvl'];
	$pet_str  = $pet['str']*$user['pet_lvl'];
	$pet_rost = round($pet['rubin']*2/3);
		if(isset($_GET['rost'])){
			if($user['rubin']<$pet_rost){
			echo '<div id="error">У вас не достаточно рубинов!</div>';
			foot();
			exit;
			}
			if($user['pet_lvl']==3){
			echo '<div id="error">Ваш питомец не может больше расти!</div>';
			foot();
			exit;
			}
		echo '<div id="ok">Теперь ваш питомец чувствует себя сильнее!</div>';
		mysql_query("UPDATE `users` SET
		`health`=`health`+".$pet['hp'].",
		`max_health`=`max_health`+".$pet['hp'].",
		`pet_lvl`=`pet_lvl`+1,
		`rubin`=`rubin`-".$pet_rost."
		WHERE `id`='".$user['id']."'");
		foot();
		exit;
		}
	echo '<div class="row"><img src="img/pets/'.$user['pet_id'].'/'.$user['pet_lvl'].'.png" alt=""> '.$pet['name'].'<br>
	Здоровье: + '.$pet_hp.'<br>
	Сила: '.$pet_str.'<br>';
		if($user['pet_lvl']!=3){
		echo '<a href="pets.php?my&amp;rost">Накормить стероидами роста</a> за <img src="img/money/rubin.png" alt=""> '.$pet_rost.'<br>';
		}
		echo '</div>';
	foot();
	exit;
	}
	if(isset($_GET['buy']) and !empty($_GET['id'])){
	$pet_id = int($_GET['id']);
	$pet = mysql_fetch_assoc(mysql_query("SELECT `id`,`name`,`rubin`,`hp`,`str` FROM `pets` WHERE `id`='".$pet_id."' LIMIT 1"));
		if(!$pet){
		header("Location: index.php");
		exit;
		}
		if($user['rubin']<$pet['rubin']){
		echo '<div id="error">У вас не достаточно рубинов!</div>';
		foot();
		exit;
		}
		if($user['pet_id']>0){
		echo '<div id="error">У Вас уже есть питомец!</div>';
		foot();
		exit;
		}
	echo '<div class="row">Теперь у вас есть <b>'.$pet['name'].'</b>! Он подростет и будет помогать вам в бою.</div>';
	mysql_query("UPDATE `users` SET 
	`pet_id`='".$pet_id."',
	`pet_lvl`=1,
	`health`=`health`+".$pet['hp'].",
	`max_health`=`max_health`+".$pet['hp'].",
	`rubin`=`rubin`-".$pet['rubin']."	WHERE `id`='".$user['id']."'");
	
	foot();
	exit;
	}

echo '<div class="row">Будьте внемательны при выборе питомца.Его можно покупать всего 1 раз и поменять уже будет нельзя!</div>';
$pets_q = mysql_query("SELECT * FROM `pets`");
while($pets = mysql_fetch_assoc($pets_q)){
echo '<div class="row"><img src="img/pets/'.$pets['id'].'/1.png" alt=""> '.$pets['name'].'<br>
Здоровье: + '.$pets['hp'].'<br>
Сила: '.$pets['str'].'<br>
<a href="pets.php?buy&amp;id='.$pets['id'].'">купить</a> за <img src="img/money/rubin.png" alt=""> '.$pets['rubin'].'<br><br>
'.$pets['opis'].'</div>';

}
foot();
?>